import 'package:flutter/material.dart';
import '../../code_faster.dart';

/// return a SizedBox with width = width of screen * percent / 100
class WidthScreen extends StatelessWidget {
  const WidthScreen(this.percent, {this.child});

  final double percent;
  final Widget child;

  @override
  Widget build(BuildContext context) {
    return Width(
      context.getH(percent),
      child: child,
    );
  }
}
